purpose=file-extract are supported.
Endpoint
GET https://api.stepfun.ai/v1/files/{file_id}/content
Path parameters
file_idstringrequired
Unique file ID.
Response
Returns the fileβs parsed content as plain text.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
π New model Step 3.7 Flash is now live β a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more β
purpose=file-extract are supported.
GET https://api.stepfun.ai/v1/files/{file_id}/content
file_id string required
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
content = client.files.content("file-abc123")
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const file = await openai.files.content("file-abc123");
console.log(file);
}
main();
curl https://api.stepfun.ai/v1/files/file-abc123/content \
-H "Authorization: Bearer $STEP_API_KEY"
File content
Was this page helpful?